patch:
  tags:
  - Onboarding Requests Management
  summary: Set Expiration Timeframe for Onboarding Request
  description: Sets the expiration timeframe for an existing onboarding request
  operationId: setExpirationTimeframe
  parameters:
  - name: id
    in: path
    description: The ID of the onboarding request
    required: true
    style: simple
    explode: false
    schema:
      type: string
      format: uuid
  - name: expirationTimeframe
    in: query
    description: The expiration timeframe in milliseconds
    required: true
    style: form
    explode: true
    schema:
      type: integer
      format: int64
  responses:
    "200":
      description: Expiration timeframe set successfully
    "400":
      description: Invalid request data provided
    "401":
      description: Access denied
    "403":
      description: "Forbidden: User does not have the required role"
    "404":
      description: Onboarding request not found
  security:
  - oauth2AuthCode: []
  x-simpl-roles:
  - NOTARY
